------------------------------------------------------------------------
-- image_searcher.sql
-- 
--  @author    Mitsuhiro Asada
--  @created   2001/06/29 (by Mitsuhiro Asada)
--  @updated   N/A
--  @version   Isr023b
--  @database  Oracle 8i or higher
--  @copyright 2000-2002 SRA (Software Research Associates, Inc.)
--  @copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
-- 
--  $Id: image_searcher.sql,v 1.8 2002/07/11 09:25:45 m-asada Exp $
------------------------------------------------------------------------

DROP TABLE search;
DROP TABLE image_searcher;
DROP SEQUENCE image_searcher_pkey_seq;

CREATE SEQUENCE image_searcher_pkey_seq;
CREATE TABLE image_searcher (
    pkey NUMBER(27,0) NOT NULL CONSTRAINT pk_image_searcher PRIMARY KEY,
    original_image BLOB NOT NULL,              -- original image
    original_image_type VARCHAR2(32) NOT NULL, -- content type of original image
    icon_image BLOB NOT NULL,                  -- icon image
    icon_image_type VARCHAR2(32) NOT NULL,     -- content type of icon image
    -- x_spectrum BLOB NOT NULL,               -- x-spectrum image
    -- y_spectrum BLOB NOT NULL,               -- y-spectrum image
    -- rendering_image BLOB NOT NULL,          -- rendering image
    -- filename VARCHAR(256) NOT NULL,         -- filename
    -- modified_date DATE NOT NULL,            -- modified date
    icon_area_x NUMBER(3,0) NOT NULL,          -- icon area
    icon_area_y NUMBER(3,0) NOT NULL,
    width_ratio NUMBER(3,0) NOT NULL,          -- ratio (width/(width+height))*255
    luminance NUMBER(3,0) NOT NULL,            -- average luminance
    center_x NUMBER(3,0) NOT NULL,             -- center spectra
    center_y NUMBER(3,0) NOT NULL,
    tc_r NUMBER(3,0) NOT NULL,                 -- typical color
    tc_g NUMBER(3,0) NOT NULL,
    tc_b NUMBER(3,0) NOT NULL,
    nc1_r NUMBER(3,0) NOT NULL,                -- nine colors
    nc1_g NUMBER(3,0) NOT NULL,
    nc1_b NUMBER(3,0) NOT NULL,
    nc2_r NUMBER(3,0) NOT NULL,
    nc2_g NUMBER(3,0) NOT NULL,
    nc2_b NUMBER(3,0) NOT NULL,
    nc3_r NUMBER(3,0) NOT NULL,
    nc3_g NUMBER(3,0) NOT NULL,
    nc3_b NUMBER(3,0) NOT NULL,
    nc4_r NUMBER(3,0) NOT NULL,
    nc4_g NUMBER(3,0) NOT NULL,
    nc4_b NUMBER(3,0) NOT NULL,
    nc5_r NUMBER(3,0) NOT NULL,
    nc5_g NUMBER(3,0) NOT NULL,
    nc5_b NUMBER(3,0) NOT NULL,
    nc6_r NUMBER(3,0) NOT NULL,
    nc6_g NUMBER(3,0) NOT NULL,
    nc6_b NUMBER(3,0) NOT NULL,
    nc7_r NUMBER(3,0) NOT NULL,
    nc7_g NUMBER(3,0) NOT NULL,
    nc7_b NUMBER(3,0) NOT NULL,
    nc8_r NUMBER(3,0) NOT NULL,
    nc8_g NUMBER(3,0) NOT NULL,
    nc8_b NUMBER(3,0) NOT NULL,
    nc9_r NUMBER(3,0) NOT NULL,
    nc9_g NUMBER(3,0) NOT NULL,
    nc9_b NUMBER(3,0) NOT NULL
)
TABLESPACE users;

CREATE GLOBAL TEMPORARY TABLE search (
    pkey NUMBER(27,0) NOT NULL CONSTRAINT pk_search PRIMARY KEY,
    value FLOAT NOT NULL
)
ON COMMIT DELETE ROWS;

COMMIT;
