------------------------------------------------------------------------
-- image_searcher.sql
-- 
--  @author    Mitsuhiro Asada
--  @created   2000/12/11 (by Mitsuhiro Asada)
--  @updated   N/A
--  @version   Isr023b
--  @database  PostgreSQL 7.1 or higher
--  @copyright 2000-2002 SRA (Software Research Associates, Inc.)
--  @copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
-- 
--  $Id: image_searcher.sql,v 1.8 2002/07/11 09:25:45 m-asada Exp $
------------------------------------------------------------------------

DROP TABLE image_searcher;
DROP SEQUENCE image_searcher_pkey_seq;

CREATE SEQUENCE image_searcher_pkey_seq;
CREATE TABLE image_searcher (
    pkey INT4 NOT NULL CONSTRAINT pk_image_searcher PRIMARY KEY DEFAULT NEXTVAL('image_searcher_pkey_seq'),
    original_image OID NOT NULL,         -- original image
    original_image_type TEXT NOT NULL,   -- content type of original image
    icon_image OID NOT NULL,             -- icon image
    icon_image_type TEXT NOT NULL,       -- content type of icon image
    
    -- x_spectrum OID NOT NULL,          -- x-spectrum image
    -- y_spectrum OID NOT NULL,          -- y-spectrum image
    -- rendering_image OID NOT NULL,     -- rendering image
    -- filename TEXT NOT NULL,           -- filename
    -- modified_date DATETIME NOT NULL,  -- modified date
    
    icon_area_x SMALLINT NOT NULL,       -- icon area
    icon_area_y SMALLINT NOT NULL,
    
    width_ratio SMALLINT NOT NULL,       -- ratio (width/(width+height))*255
    
    luminance SMALLINT NOT NULL,         -- average luminance
    
    center_x SMALLINT NOT NULL,          -- center spectra
    center_y SMALLINT NOT NULL,
    
    tc_r SMALLINT NOT NULL,              -- typical color
    tc_g SMALLINT NOT NULL,
    tc_b SMALLINT NOT NULL,
    
    nc1_r SMALLINT NOT NULL,             -- nine colors
    nc1_g SMALLINT NOT NULL,
    nc1_b SMALLINT NOT NULL,
    nc2_r SMALLINT NOT NULL,
    nc2_g SMALLINT NOT NULL,
    nc2_b SMALLINT NOT NULL,
    nc3_r SMALLINT NOT NULL,
    nc3_g SMALLINT NOT NULL,
    nc3_b SMALLINT NOT NULL,
    nc4_r SMALLINT NOT NULL,
    nc4_g SMALLINT NOT NULL,
    nc4_b SMALLINT NOT NULL,
    nc5_r SMALLINT NOT NULL,
    nc5_g SMALLINT NOT NULL,
    nc5_b SMALLINT NOT NULL,
    nc6_r SMALLINT NOT NULL,
    nc6_g SMALLINT NOT NULL,
    nc6_b SMALLINT NOT NULL,
    nc7_r SMALLINT NOT NULL,
    nc7_g SMALLINT NOT NULL,
    nc7_b SMALLINT NOT NULL,
    nc8_r SMALLINT NOT NULL,
    nc8_g SMALLINT NOT NULL,
    nc8_b SMALLINT NOT NULL,
    nc9_r SMALLINT NOT NULL,
    nc9_g SMALLINT NOT NULL,
    nc9_b SMALLINT NOT NULL
);

GRANT ALL ON image_searcher TO isr;
GRANT ALL ON image_searcher_pkey_seq TO isr;
