package sra.isr.image.browser;

import java.awt.*;
import java.awt.event.*;
import sra.smalltalk.*;

/**
 * IsrImageBrowserView interface
 * 
 * 	@author    Mitsuhiro Asada
 * 	@created   2000/02/21 (by Mitsuhiro Asada)
 * 	@updated   2000/03/13 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrImageBrowserView.java,v 4.2 2002/07/11 09:25:03 m-asada Exp $
 */
public interface IsrImageBrowserView extends StView {
	/**
	 * Paint image.
	 *
	 * @param anInteger int
	 * @param graphicsContext java.awt.Graphics
	 * @param aRectangle java.awt.Rectangle
	 */
	public void displayImageAt_on_clip_(int anInteger, Graphics graphicsContext, Rectangle aRectangle);
	/**
	 * Paint image border.
	 *
	 * @param graphicsContext java.awt.Graphics
	 * @param index int
	 * @param box java.awt.Rectangle
	 */
	public void displayOn_imageAt_clippingBox_(Graphics graphicsContext, int index, Rectangle box);
	/**
	 * Answer a Model.
	 *
	 * @return sra.isr.interfaces.area.IsrImageBrowser
	 */
	public IsrImageBrowser getModel();
	/**
	 * Model property accessing.
	 *
	 * @param aModel sra.isr.interfaces.area.IsrImageBrowser
	 */
	public void setModel(IsrImageBrowser aModel);
	/**
	 * Open the menu at the specified point.
	 *
	 * @param aPoint java.awt.Point
	 */
	public void showPopupMenu(Point aPoint);
	/**
	 * Answer image index number on aPoint.
	 *
	 * @return int
	 * @param aPoint java.awt.Point
	 */
	public int whichIndex_(Point aPoint);
}
