package sra.isr.image.objects;

import java.util.*;
import sra.smalltalk.*;
import sra.isr.system.support.*;

/**
 * IsrImageFolderTestExamples class
 * 
 * 	@author    Mitsuhiro Asada
 * 	@created   1999/12/27 (by Mitsuhiro Asada)
 * 	@updated   2000/02/24 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrImageFolderTestExamples.java,v 4.2 2002/07/11 09:25:03 m-asada Exp $
 */
public class IsrImageFolderTestExamples extends IsrTestExamples {
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example1() {
		IsrImageFolder imageFolder = IsrImageFolder.FromUser();
		System.out.println(imageFolder.directoryName());
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example2() {
		IsrImageFolder imageFolder = IsrImageFolder.DirectoryName_("temp");
		System.out.println(imageFolder.directoryName());
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example3() {
		Vector result = IsrImageFolder.Separate_dividers_("\tFF\nff QQ\tqq\f", IsrImageFolder.Dividers());
		Enumeration enum = result.elements();
		while (enum.hasMoreElements()) {
			String string = (String) enum.nextElement();
			System.out.print(string + " ");
		}
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example4() {
		System.out.println(IsrImageFolder.StringMatch_and_("Image Searcher", "Im?g*[S-T]e??che*"));
		return true;
	}
	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new IsrImageFolderTestExamples();
	}
}
