package sra.isr.interfaces.button;

import java.awt.*;
import java.awt.image.*;
import sra.smalltalk.*;
import sra.isr.system.support.*;

/**
 * IsrButtonModelTestExamples class
 * 
 * 	@author    nisinaka
 * 	@created   1998/10/xx (by nisinaka)
 * 	@updated   N/A
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrButtonModelTestExamples.java,v 4.2 2002/07/11 09:25:04 m-asada Exp $
 */
public class IsrButtonModelTestExamples extends IsrTestExamples {
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example1() {
		IsrButtonModel buttonModel;
		StBlockClosure action = new StBlockClosure() {
			public Object value_(Object o) {
				IsrButtonModel model = (IsrButtonModel) o;
				model.value_(!model.value());
				return model;
			}
		};
		Object displayObject = "Test";
		buttonModel = new IsrButtonModel();
		buttonModel.value_(false);
		buttonModel.visual_(displayObject);
		buttonModel.action_(action);
		buttonModel.open();
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example2() {
		IsrButtonModel buttonModel;
		StBlockClosure action = new StBlockClosure() {
			public Object value_(Object o) {
				IsrButtonModel model = (IsrButtonModel) o;
				model.value_(!model.value());
				return model;
			}
		};
		buttonModel = new IsrButtonModel();
		buttonModel.value_(false);
		buttonModel.visual_(Image1());
		buttonModel.action_(action);
		buttonModel.open();
		return true;
	}
	/**
	 * Answer test image.
	 * 
	 * @return java.awt.Image
	 */
	protected static Image Image1() {
		int w = 100;
		int h = 100;
		int[] pixels = new int[w * h];
		int index = 0;
		for (int y = 0; y < h; y++) {
			int red = (y * 255) / (h - 1);
			for (int x = 0; x < w; x++) {
				int blue = (x * 255) / (w - 1);
				pixels[index++] = (255 << 24) | (red << 16) | blue;
			}
		}
		return Toolkit.getDefaultToolkit().createImage(new MemoryImageSource(w, h, pixels, 0, w));
	}
	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new IsrButtonModelTestExamples();
	}
}
