package sra.isr.interfaces.colors;

import java.awt.*;
import java.awt.event.*;
import sra.isr.system.support.*;

/**
 * IsrColorChoiceTestExamples class
 * 
 * 	@author    Hirotsugu Kondo
 * 	@created   1998/11/05 (by Hirotsugu Kondo)
 * 	@updated   2001/06/16 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrColorChoiceTestExamples.java,v 4.2 2002/07/11 09:25:04 m-asada Exp $
 */
public class IsrColorChoiceTestExamples extends IsrTestExamples {
	/**
	 * Example: open HBS color model window
	 *
	 * @return boolean.
	 */
	public static boolean Example1() {
		IsrColorChoiceHBS colorChoice;
		colorChoice = new IsrColorChoiceHBS();
		colorChoice.open();
		return true;
	}
	/**
	 * Example: open HSB color model window
	 *
	 * @return boolean.
	 */
	public static boolean Example2() {
		IsrColorChoiceHSB colorChoice;
		colorChoice = new IsrColorChoiceHSB();
		colorChoice.open();
		return true;
	}
	/**
	 * Example: open SBH color model window
	 *
	 * @return boolean.
	 */
	public static boolean Example3() {
		IsrColorChoiceSBH colorChoice;
		colorChoice = new IsrColorChoiceSBH();
		colorChoice.open();
		return true;
	}
	/**
	 * Example: open HBS color modal dialog
	 *
	 * @return boolean.
	 */
	public static boolean Example4() {
		Color result = IsrColorChoiceHBS.Request_(Color.green);
		System.out.println(result);
		return true;
	}
	/**
	 * Example: open HSB color modal dialog
	 *
	 * @return boolean.
	 */
	public static boolean Example5() {
		Color result = IsrColorChoiceHSB.Request_(Color.green);
		System.out.println(result);
		return true;
	}
	/**
	 * Example: open SBH color modal dialog
	 *
	 * @return boolean.
	 */
	public static boolean Example6() {
		Color result = IsrColorChoiceSBH.Request_(Color.green);
		System.out.println(result);
		return true;
	}
	/**
	 * Example: open SBH color modal dialog
	 *
	 * @return boolean.
	 */
	public static boolean Example7() {
		Frame frame = new Frame();
		IsrColorChoicePanel colorChoicePanel = new IsrColorChoicePanel();
		frame.add(colorChoicePanel);
		frame.setSize(colorChoicePanel.getSize());
		frame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				e.getWindow().dispose();
			};
		});
		frame.setSize(colorChoicePanel.getSize().width, colorChoicePanel.getSize().height + 20);
		frame.setVisible(true);
		return true;
	}
	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new IsrColorChoiceTestExamples();
	}
}
