package sra.isr.interfaces.colors;

import java.awt.*;
import sra.smalltalk.*;

/**
 * IsrColorChoiceView interface
 * 
 * 	@author    MATSUDA Ryouichi
 * 	@created   2000/01/21 (by MATSUDA Ryouichi)
 * 	@updated   2000/03/13 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrColorChoiceView.java,v 4.2 2002/07/11 09:25:04 m-asada Exp $
 */
public interface IsrColorChoiceView extends StView {
	/**
	 * Answer the area of color bars.
	 *
	 * @return java.awt.Rectangle
	 */
	public Rectangle barArea();
	/**
	 * Answer the area of color brightness.
	 *
	 * @return java.awt.Rectangle
	 */
	public Rectangle brightnessArea();
	/**
	 * Answer the string representation of color brightness.
	 *
	 * @return java.lang.string
	 */
	public String brightnessString();
	/**
	 * Model property accessing.
	 *
	 * @return sra.isr.interfaces.colors.IsrColorChoiceModel
	 */
	public IsrColorChoiceModel getModel();
	/**
	 * Answer the area of color hue.
	 *
	 * @return java.awt.Rectangle
	 */
	public Rectangle hueArea();
	/**
	 * Answer the string representation of color hue.
	 *
	 * @return java.lang.String
	 */
	public String hueString();
	/**
	 * Answer the area of plate.
	 *
	 * @return java.awt.Rectangle
	 */
	public Rectangle plateArea();
	/**
	 * Answer the area of color saturation.
	 *
	 * @return java.awt.Rectangle
	 */
	public Rectangle saturationArea();
	/**
	 * Answer the string representation of color saturation.
	 *
	 * @return java.lang.string
	 */
	public String saturationString();
	/**
	 * Model property accessing.
	 *
	 * @param aModel sra.isr.interfaces.colors.IsrColorChoiceModel
	 */
	public void setModel(IsrColorChoiceModel aModel);
}
