package sra.isr.interfaces.progress;

import sra.smalltalk.*;
import sra.isr.system.support.*;

/**
 * IsrProgressTestExamples class
 * 
 * 	@author    nisinaka
 * 	@created   1998/11/18 (by nisinaka)
 * 	@updated   2000/02/16 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrProgressTestExamples.java,v 4.2 2002/07/11 09:25:04 m-asada Exp $
 */
public class IsrProgressTestExamples extends IsrTestExamples {
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example1() {
		final int size = 100;
		IsrProgress aProgress = new IsrProgress();
		aProgress.do_(new StBlockClosure() {
			public Object value_(Object anObject) {
				IsrProgress progress = (IsrProgress) anObject;
				for (int count = 1; count <= size; count++) {
					float value = (float) count / size;
					progress.message_(String.valueOf(value));
					progress.value_(value);
				}
				return null;
			}
		});
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example2() {
		final int size = 100;
		IsrProgress aProgress = new IsrProgress();
		aProgress.open();
		aProgress.do_(new StBlockClosure() {
			public Object value_(Object anObject) {
				IsrProgress progress = (IsrProgress) anObject;
				for (int count = 1; count <= size; count++) {
					float value = (float) count / size;
					progress.message_(String.valueOf(value));
					progress.value_(value);
				}
				return null;
			}
		});
		return true;
	}
	/**
	 * Execute all examples.
	 *
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new IsrProgressTestExamples();
	}
}
