package sra.isr.interfaces.spot;

import java.awt.*;
import java.awt.event.*;
import sra.isr.geometry.basic.*;
import sra.isr.system.support.*;

/**
 * IsrSpotTestExamples class
 * 
 * 	@author    Mitsuhiro Asada
 * 	@created   1999/12/21 (by Mitsuhiro Asada)
 * 	@updated   2001/06/16 (by Mitsuhiro Asada)
 * 	@version   Isr023b
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 2000-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: IsrSpotTestExamples.java,v 4.2 2002/07/11 09:25:04 m-asada Exp $
 */
public class IsrSpotTestExamples extends IsrTestExamples {
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example1() {
		IsrSpotModel spotModel = new IsrSpotModel();
		spotModel.open();
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example2() {
		Isr2dPoint areaPoint = IsrSpotModel.Request_(new Isr2dPoint(0.5, 0.5));
		System.out.println(areaPoint);
		return true;
	}
	/**
	 * Example.
	 *
	 * @return boolean.
	 */
	public static boolean Example3() {
		Frame frame = new Frame();
		IsrSpotPanel spotPanel = new IsrSpotPanel();
		frame.add(spotPanel);
		frame.setSize(spotPanel.getSize());
		frame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				e.getWindow().dispose();
			};
		});
		frame.setSize(spotPanel.getSize().width, spotPanel.getSize().height + 20);
		frame.setVisible(true);
		return true;
	}
	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new IsrSpotTestExamples();
	}
}
