package sra.smalltalk;

/**
 * SmalltalkException class
 * 
 * 	@author    nisinaka
 * 	@created   1998/10/01 (by nisinaka)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: SmalltalkException.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class SmalltalkException extends RuntimeException {
	/**
	 * Constructs a <code>SmalltalkException</code> with no detail message.
	 */
	public SmalltalkException() {
		super();
		this.printStackTrace();
	}
	/**
	 * Constructs a <code>SmalltalkException</code> with the specified
	 * detail message.
	 *
	 * @param s java.lang.String
	 */
	public SmalltalkException(Exception e) {
		super();
		e.printStackTrace();
	}
	/**
	 * Constructs a <code>SmalltalkException</code> with the specified
	 * detail message.
	 *
	 * @param s java.lang.String
	 */
	public SmalltalkException(String s) {
		super(s);
		this.printStackTrace();
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for Error.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException Error(String aString) {
		return new SmalltalkException("Error: " + aString);
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for Halt.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException Halt(String aString) {
		return new SmalltalkException("Halt: " + aString);
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for MessageNotUnderstood.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException MessageNotUnderstood(String info) {
		return new SmalltalkException("message not understood - " + info);
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for ShouldNotImplement.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException ShouldNotImplement() {
		return Error("This message is not appropriate for this object");
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for SubclassResponsibility.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException SubclassResponsibility() {
		return new SmalltalkException("subclass responsibility");
	}
	/**
	 * Constructs a <code>SmalltalkException</code> for SubclassResponsibility.
	 *
	 * @return sra.smalltalk.SmalltalkException
	 */
	public static SmalltalkException SubclassResponsibility(String info) {
		return new SmalltalkException("subclass responsibility - " + info);
	}
}
