package sra.smalltalk;

import java.lang.reflect.*;

/**
 * StBlockClosure class
 * 
 * 	@author    He Weijie
 * 	@created   1998/08/06 (by He Weijie)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StBlockClosure.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StBlockClosure extends StObject {

	/**
	 * Just return the number of arguments.
	 * @return int
	 */
	public int numArgs() {
		Class myClass = this.getClass();
		Method myMethods[] = myClass.getDeclaredMethods();
		if (myMethods.length != 1) {
			this.error_("There should be only one method defined for StBlockClosure.");
		}
		return myMethods[0].getParameterTypes().length;
	}
	/**
	 * This is a abstract method for value
	 * @return java.lang.Object
	 */
	public Object value() throws SmalltalkException {
		return null;
	}
	/**
	 * This is a abstract method for value:
	 * @param argument java.lang.Object
	 * @return java.lang.Object
	 */
	public Object value_(Object argument) throws SmalltalkException {
		return null;
	}
	/**
	 * This is a abstract method for value: value:
	 * @param argument1 java.lang.Object
	 * @param argument2 java.lang.Object
	 * @return java.lang.Object
	 */
	public Object value_value_(Object argument1, Object argument2) throws SmalltalkException {
		return null;
	}
	/**
	 * This is a abstract method for value: value: value:
	 * @param argument1 java.lang.Object
	 * @param argument2 java.lang.Object
	 * @param argument3 java.lang.Object
	 * @return java.lang.Object
	 */
	public Object value_value_value_(Object argument1, Object argument2, Object argument3) throws SmalltalkException {
		return null;
	}
	/**
	 * This is a abstract method for valueWithArguments:
	 * @param anArray java.lang.Object[]
	 * @return java.lang.Object
	 */
	public Object valueWithArguments_(Object anArray[]) {
		return null;
	}
}
