package sra.smalltalk;

/**
 * StByteArrayTestExamples class
 * 
 * 	@author    nisinaka
 * 	@created   1998/10/16 (by nisinaka)
 * 	@updated   2002/04/17 (by nisinaka)
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StByteArrayTestExamples.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StByteArrayTestExamples extends SmalltalkTestExamples {
    /**
     * 
     * @return boolean
     */
    public static boolean Example1() {
        StByteArray aByteArray = StByteArray.FromPackedString_("^24FS @a");
        return (int) aByteArray.at_(1) == 123
            && (int) aByteArray.at_(2) == 45
            && (int) aByteArray.at_(3) == 6
            && (int) aByteArray.at_(4) == 78;
    }
    /**
     * 
     * @return boolean
     */
    public static boolean Example2() {
        byte[] bytes = new byte[] { 123, 45, 6, 78 };
        StByteArray aByteArray = new StByteArray(bytes);
        String packedString = aByteArray.asPackedString();
        System.out.println(packedString);
        return packedString.equals("^24FS @a");
    }
    /**
     * 
     * @return boolean
     */
    public static boolean Example3() {
        int[] bytes = new int[] { 123, 45, 6, 78 };
        StByteArray aByteArray = new StByteArray(bytes);
        String packedString = aByteArray.asPackedString();
        System.out.println(packedString);
        return packedString.equals("^24FS @a");
    }
    /**
     * 
     * @return boolean
     */
    public static boolean Example4() {
        StByteArray aByteArray = StByteArray.FromPackedString_("2MCT");
        int[] intArray = aByteArray._asInts();
        return intArray[0] == 200 && intArray[1] == 208 && intArray[2] == 212;
    }
    /**
     * 
     * @return boolean
     */
    public static boolean Example5() {
        int[] bytes = new int[] { 200, 208, 212 };
        StByteArray aByteArray = new StByteArray(bytes);
        String packedString = aByteArray.asPackedString();
        System.out.println(packedString);
        return packedString.equals("2MCT");
    }
    /**
     * Execute all examples.
     * @param args java.lang.String[]
     */
    public static void main(String args[]) {
        new StByteArrayTestExamples();
    }

    /**
     * 
     * @return boolean
     */
    public static boolean Example6() {
        int[] bytes = new int[] { 200, 208, 212 };
        StByteArray aByteArray = new StByteArray(bytes);
        String storeString = aByteArray.storeString();
        System.out.println(storeString);
        return storeString.equals("#[200 208 212]");
    }
}
