package sra.smalltalk;

import java.awt.*;
import java.awt.event.*;

/**
 * StController class
 * 
 * 	@author    nisinaka
 * 	@created   1998/12/09 (by nisinaka)
 * 	@updated   1998/12/10 (by He Weijie)
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StController.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StController extends StObject {
	protected StView view;
	/**
	 * add listeners.
	 * @param aView sra.mvctest.StView
	 */
	protected void buildListener(StView aView) {
	}
	/**
	 * Invoked when component has been hidden.
	 */
	public void componentHidden(ComponentEvent e) {
	}
	/**
	 * Invoked when component has been moved.
	 */
	public void componentMoved(ComponentEvent e) {
	}
	/**
	 * Invoked when component has been resized.
	 */
	public void componentResized(ComponentEvent e) {
	}
	/**
	 * Invoked when component has been shown.
	 */
	public void componentShown(ComponentEvent e) {
	}
	/**
	 * Invoked when a component gains the keyboard focus.
	 */
	public void focusGained(FocusEvent e) {
	}
	/**
	 * Invoked when a component loses the keyboard focus.
	 */
	public void focusLost(FocusEvent e) {
	}
	/**
	 * distinguih button event is for menu or not.
	 * @return boolean
	 */
	protected final boolean isMenuButtonPressed_(MouseEvent event) {
		return event.isMetaDown();
	}
	/**
	 * distinguih button event is for menu or not.
	 * @return boolean
	 */
	protected final boolean isShiftKeyPressed_(MouseEvent event) {
		return event.isShiftDown();
	}
	/**
	 * Invoked when a key has been pressed.
	 */
	public void keyPressed(KeyEvent e) {
	}
	/**
	 * Invoked when a key has been released.
	 */
	public void keyReleased(KeyEvent e) {
	}
	/**
	 * Invoked when a key has been typed.
	 * This event occurs when a key press is followed by a key release.
	 */
	public void keyTyped(KeyEvent e) {
	}
	/**
	 * Please refer to the corresponding method in Smalltalk.
	 * @return sra.smalltalk.StModel 
	 */
	public StModel model() {
		return this.view().model();
	}
	/**
	 * Invoked when the mouse has been clicked on a component.
	 */
	public void mouseClicked(MouseEvent e) {
	}
	/**
	 * Invoked when a mouse button is pressed on a component and then 
	 * dragged.
	 */
	public void mouseDragged(MouseEvent e) {
	}
	/**
	 * Invoked when the mouse enters a component.
	 */
	public void mouseEntered(MouseEvent e) {
	}
	/**
	 * Invoked when the mouse exits a component.
	 */
	public void mouseExited(MouseEvent e) {
	}
	/**
	 * Invoked when the mouse button has been moved on a component
	 * (with no buttons no down).
	 */
	public void mouseMoved(MouseEvent e) {
	}
	/**
	 * Invoked when a mouse button has been pressed on a component.
	 */
	public void mousePressed(MouseEvent e) {
	}
	/**
	 * Invoked when a mouse button has been released on a component.
	 */
	public void mouseReleased(MouseEvent e) {
	}
	/**
	 * Please refer to the corresponding method in Smalltalk.
	 * @return sra.mvctest.StView
	 */
	public StView view() {
		return view;
	}
	/**
	 * Set a view.
	 * @param aView sra.mvctest.StView
	 */
	public void view_(StView aView) {
		view = aView;
		this.buildListener(aView);
	}
}
