package sra.smalltalk;

/**
 * StIntervalTestExamples class
 * 
 * 	@author    NISHIHARA Satoshi
 * 	@created   2000/01/13 (by NISHIHARA Satoshi)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StIntervalTestExamples.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StIntervalTestExamples extends SmalltalkTestExamples {
	/**
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		StInterval interval;
		interval = StInterval.From_to_by_(0, 10, 1);
		System.out.println("interval: " + interval);
		System.out.println("first: " + interval.first());
		System.out.println("last: " + interval.last());
		System.out.println("increment: " + interval.increment());
		System.out.println("size: " + interval.size());
		System.out.println("at_(4): " + interval.at_(4));

		StBlockClosure block = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				System.out.println(value);
				return null;
			};
		};
		StBlockClosure collectBlock = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				return new Double(value * 5);
			};
		};

		interval.do_(block);
		interval.reverseDo_(block);
		double[] collect = interval.collect_(collectBlock);
		for (int i = 0; i < collect.length; i++) {
			System.out.println(i + ": " + collect[i]);
		}
		return true;
	}
	/**
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		StInterval interval;
		interval = new StInterval(0, 10);
		System.out.println("interval: " + interval);
		System.out.println("first: " + interval.first());
		System.out.println("last: " + interval.last());
		System.out.println("increment: " + interval.increment());
		System.out.println("size: " + interval.size());
		System.out.println("at_(4): " + interval.at_(4));

		StBlockClosure block = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				System.out.println(value);
				return null;
			};
		};
		StBlockClosure collectBlock = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				return new Double(value * 5);
			};
		};

		interval.do_(block);
		interval.reverseDo_(block);
		double[] collect = interval.collect_(collectBlock);
		for (int i = 0; i < collect.length; i++) {
			System.out.println(i + ": " + collect[i]);
		}
		return true;
	}
	/**
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		StInterval interval;
		interval = new StInterval(20, 10, -0.5);
		System.out.println("interval: " + interval);
		System.out.println("first: " + interval.first());
		System.out.println("last: " + interval.last());
		System.out.println("increment: " + interval.increment());
		System.out.println("size: " + interval.size());
		System.out.println("at_(4): " + interval.at_(4));
		System.out.println("at_(interval.size() - 1): " + interval.at_(interval.size() - 1));

		StBlockClosure block = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				System.out.println(value);
				return null;
			};
		};
		StBlockClosure collectBlock = new StBlockClosure() {
			public Object value_(Object valueObject) {
				double value = ((Double) valueObject).doubleValue();
				return new Double(value * 5);
			};
		};

		interval.do_(block);
		interval.reverseDo_(block);
		double[] collect = interval.collect_(collectBlock);
		for (int i = 0; i < collect.length; i++) {
			System.out.println(i + ": " + collect[i]);
		}
		return true;
	}
	/**
	 * Execute all examples.
	 * @param args java.lang.String[]
	 */
	public static void main(String args[]) {
		new StIntervalTestExamples();
	}
}
