package sra.smalltalk;

import java.awt.event.*;
import java.util.Vector;

/**
 * StMenuModel class
 * 
 * 	@author    MATSUDA Ryouichi
 * 	@created   1999/09/16 (by MATSUDA Ryouichi)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StMenuModel.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StMenuModel extends StMenu {
	protected Vector dependents = new Vector();
	/**
	 *
	 */
	public StMenuModel() {
		super(null);
	}
	/**
	 * 
	 * @param anObject sra.smalltalk.DependentListener
	 */
	public synchronized void addDependentListener(DependentListener anObject) {
		dependents.addElement(anObject);
	}
	/**
	 *
	 */
	public void addSeparator() {
	}
	/**
	 * The receiver is changed.  Broadcast it to my dependents.
	 *
	 * @param evt sra.smalltalk.DependentEvent
	 */
	public void changed_(DependentEvent evt) {
		Vector fireDependents;
		synchronized (this) {
			fireDependents = (Vector) dependents.clone();
		}
		int size = fireDependents.size();
		for (int i = 0; i < size; i++) {
			DependentListener dependent = (DependentListener) fireDependents.elementAt(i);
			dependent.update_(evt);
		}
	}
	/**
	 * The receiver is changed.  Broadcast it to my dependents.
	 *
	 * @param anAspect sra.smalltalk.StSymbol
	 * @param aParameter java.lang.Object
	 */
	public void changed_with_(StSymbol anAspect, Object aParameter) {
		this.changed_(new DependentEvent(this, anAspect, aParameter));
	}
	/**
	 * 
	 * @param anObject sra.smalltalk.DependentListener
	 */
	public synchronized void removeDependentListener(DependentListener anObject) {
		dependents.removeElement(anObject);
	}
}
