package sra.smalltalk;

import java.util.*;

/**
 * StModel class
 * 
 * 	@author    nisinaka
 * 	@created   1998/08/05 (by nisinaka)
 * 	@updated   1998/10/09 (by nisinaka)
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StModel.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StModel extends StObject {
	/**
	 *
	 */
	protected Vector dependents = null;
	/**
	 * Convert the receiver's dependents as an array of StObject.
	 *
	 * @return sra.smalltalk.StObject[]
	 */
	public StObject[] _dependentsAsArray() {
		if (dependents == null) {
			return null;
		} else {
			int size = dependents.size();
			StObject[] anArray = new StObject[size];
			dependents.copyInto(anArray);
			return anArray;
		}
	}
	/**
	 * Answer the receiver's dependents.
	 *
	 * @return java.util.Vector
	 */
	public Vector myDependents() {
		return dependents;
	}
	/**
	 * Set the receiver's dependents.
	 *
	 * @param dependentsOrNull java.util.Vector
	 */
	public void myDependents_(Vector dependentsOrNull) {
		dependents = dependentsOrNull;
	}
	/**
	 * Do not copy the dependents list.
	 *
	 * @return sra.smalltalk.StObject
	 */
	public StObject postCopy() {
		super.postCopy();
		this.breakDependents();
		return this;
	}
}
