package sra.smalltalk;

import java.awt.event.*;
import java.util.*;

/**
 * StRadioButtonMenuItem class
 * 
 * 	@author    MATSUDA Ryouichi
 * 	@created   1999/09/16 (by MATSUDA Ryouichi)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StRadioButtonMenuItem.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StRadioButtonMenuItem extends StCheckBoxMenuItem {
	private StButtonGroup group = null;
	/**
	 * Creates a menuItem with text.
	 *
	 * @param text java.lang.String
	 */
	public StRadioButtonMenuItem(String text) {
		this(text, false);
	}
	/**
	 * Creates a menuItem with text.
	 *
	 * @param text java.lang.String
	 * @param selected boolean
	 */
	public StRadioButtonMenuItem(String text, boolean selected) {
		super(text, selected);
	}
	/**
	 *
	 * @return sra.smalltalk.StButtonGroup
	 */
	StButtonGroup getGroup() {
		return group;
	}
	/**
	 * @param aBoolean boolean
	 */
	protected void selected_(boolean aBoolean) {
		if (selected != aBoolean) {
			selected = aBoolean;
			StSymbol aspect = selected ? $("selected") : $("deselected");
			StMenuItem root = getRoot();
			if (root instanceof StMenuModel) {
				((StMenuModel) root).changed_with_(aspect, this);
			}
			this.fireItemStateChanged(new ItemEvent(
				this, ItemEvent.ITEM_STATE_CHANGED, this,
				selected ? ItemEvent.SELECTED : ItemEvent.DESELECTED));
		}
	}
	/**
	 *
	 * @param aGroup sra.smalltalk.StButtonGroup
	 */
	void setGroup(StButtonGroup aGroup) {
		group = aGroup;
	}
	/**
	 * @param aBoolean boolean
	 */
	public void setSelected(boolean aBoolean) {
		if (aBoolean == true) {
			getGroup().setSelection(this);
		}
	}
}
