package sra.smalltalk;

/**
 * StValueHolderTestExamples class
 * 
 * 	@author    nisinaka
 * 	@created   1998/10/xx (by nisinaka)
 * 	@updated   N/A
 * 	@version   4.2
 * 	@J2SDK     1.2.2 or higher
 * 	@copyright 1999-2002 SRA (Software Research Associates, Inc.)
 * 	@copyright 2001-2002 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * 	 All rights reserved.
 * 
 * 	 Redistribution and use in source and binary forms, with or without
 * 	 modification, are permitted provided that the following conditions
 * 	 are met:
 * 	
 * 	 1. Redistributions of source code must retain the above copyright
 * 	    notice, this list of conditions and the following disclaimer. 
 * 	
 * 	 2. Redistributions in binary form must reproduce the above copyright
 * 	    notice, this list of conditions and the following disclaimer in
 * 	    the documentation and/or other materials provided with the
 * 	    distribution. 
 * 	
 * 	 3. The name of the author may not be used to endorse or promote
 * 	    products derived from this software without specific prior
 * 	    written permission. 
 * 	
 * 	 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * 	 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * 	 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * 	 ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * 	 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * 	 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * 	 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * 	 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * 	 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * 	 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * 	 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 	
 * 	 Java and all Java-based trademarks and logos are trademarks or
 * 	 registered trademarks of Sun Microsystems, Inc. in the U.S. or
 * 	 other countries, and are used under license. 
 * 
 * $Id: StValueHolderTestExamples.java,v 4.2 2002/07/11 09:18:29 m-asada Exp $
 */
public class StValueHolderTestExamples extends SmalltalkTestExamples {
	/**
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		final StValueHolder a = new StValueHolder(null);
		a.compute_(new StBlockClosure() {
			public Object value() {
				System.out.println("a = " + a.value().toString());
				return null;
			}
		});
		a.value_("Smalltalk");
		a.value_("Aoki");
		return true;
	}
	/**
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		final StValueHolder a = new StValueHolder(null);
		a.onChangeSend_to_("value", new StBlockClosure() {
			public Object value() {
				System.out.println("a = " + a.value().toString());
				return null;
			}
		});
		a.value_("Smalltalk");
		a.value_("Aoki");
		return true;
	}
/**
 * 
 * @return boolean
 */
public static boolean Example3() {
	StValueHolder a = new StValueHolder(1);
	a.compute_(new StBlockClosure() {
		public Object value_(Object v) {
			System.out.println("a = " + v.toString());
			return null;
		}
	});
	StValueHolder b = new StValueHolder(1);
	b.compute_(new StBlockClosure() {
		public Object value_(Object v) {
			System.out.println("b = " + v.toString());
			return null;
		}
	});
	StBlockClosure aBlock = new StBlockClosure() {
		public Object value_value_(Object va, Object vb) {
			return new Integer(((Integer) va).intValue() * ((Integer) vb).intValue());
		}
	};
	StValueHolder[] anArray = {a, b};
	StBlockValue ab = StBlockValue.Block_arguments_(aBlock, anArray);
	ab.compute_(new StBlockClosure() {
		public Object value_(Object v) {
			System.out.println("ab = " + v.toString());
			return null;
		}
	});
	a.value_(10);
	b.value_(20);
	return true;
}
	/**
	 * Execute all examples.
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new StValueHolderTestExamples();
	}
}
